This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 239151 - Does not honor $http_proxy
Does not honor $http_proxy
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-05 08:18 EDT by Enrico Scholz
Modified: 2013-01-09 20:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:44:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2007-05-05 08:18:09 EDT
Description of problem:

Although koji uses HTTP protocol it ignores proxy settings and connects
directly to the target host. This makes it unusable in most environments
behind a firewall.

| $ set | grep proxy
| http_proxy=http://www-cache:3128/
| https_proxy=http://www-cache:3128/
|
| $ strace koji list-api
| connect(3, {sa_family=AF_INET, sin_port=htons(80), sin_addr=inet_addr("209.132.176.98")}, 16 <unfinished ...>


Version-Release number of selected component (if applicable):

koji-1.1-1.fc6
Comment 1 Mike McLean 2007-05-07 15:19:40 EDT
Is a web proxy really appropriate for xml-rpc?
Comment 2 Enrico Scholz 2007-05-07 15:35:03 EDT
Using HTTP(S) as transport protocol is the base idea behind XML-RPC. Therefore: yes

plague-client++ (which uses libcurl) makes perfect use of proxies for the old
buildsystem.
Comment 3 Jesse Keating 2007-06-12 15:34:30 EDT
This has been filed upstream
https://hosted.fedoraproject.org/projects/koji/ticket/31

Note You need to log in before you can comment on or make changes to this bug.